This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309958 - JBDS Bpmn2 Diagram Editor 1.2.1.Final - Missing "+" & "Edit" Buttons For Service Dialogue
JBDS Bpmn2 Diagram Editor 1.2.1.Final - Missing "+" & "Edit" Buttons For Serv...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.3.0
Assigned To: Kris Verlaenen
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 00:43 EST by Justin Holmes
Modified: 2016-04-27 02:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
missing 1.2.1.Final pop up (160.96 KB, image/png)
2016-02-19 00:43 EST, Justin Holmes
no flags Details
missing 1.2.1. properties (207.38 KB, image/png)
2016-02-19 00:44 EST, Justin Holmes
no flags Details
present 1.1.4.Final (164.36 KB, image/png)
2016-02-19 00:44 EST, Justin Holmes
no flags Details

  None (edit)
Description Justin Holmes 2016-02-19 00:43:45 EST
Created attachment 1128446 [details]
missing 1.2.1.Final pop up

Description of problem:
The button to create a new service operation or edit the existing one is missing in 1.2.1.Final


Version-Release number of selected component (if applicable):
JBDS 9 - Plugin 1.2.1.Final

How reproducible:
100% in both properties view and pop up

Steps to Reproduce:
1. Install bpm and rule tools
2. Create New -> jbpm process
3. Create service task
4. Double click service task or view in properties view

Actual results:
Edit and create buttons are missing (See missing 1.2.1.Final attachment)

Expected results:
Edit and create buttons are present (See present 1.1.4.Final attachment)

Additional info:
Comment 1 Justin Holmes 2016-02-19 00:44 EST
Created attachment 1128447 [details]
missing 1.2.1. properties
Comment 2 Justin Holmes 2016-02-19 00:44 EST
Created attachment 1128448 [details]
present 1.1.4.Final
Comment 4 Jozef Marko 2016-02-22 07:41:56 EST
I have checked latest BPMN2 Modeler for eclipse Mars. There is this issue fixed.

The latest jbds tooling is:
jbds-9.1.0.Beta2_jbdsis-9.0.0.Beta1
BPMN2 Modeler - 1.2.3.CR2-v20160209-2002

Bug is fixed in:
BPMN2 Modeler - 1.2.3.Final-v20160218-1949-B212

When jbds tooling will contain newer BPMN2 Modeler, I will mark this as verified.
Comment 5 Jozef Marko 2016-04-06 02:20:00 EDT
Verified on:
jbds-9.1.0.CR1_jbdsis-9.0.0.CR1
jbtis-4.3.0.CR1
BPMN2 Modeler - 1.2.4.Final-v20160330-1625-B110

Note You need to log in before you can comment on or make changes to this bug.